#
# spec file for package lcgi (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gcc gpp gppshare qt qt-devel
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         lcgi
Copyright:    GPL
Group:        Development/Libraries/X11
#URL:          
#Provides:
#Requires:    
Summary:      lcgi (Port of the Borland cgi graphics lib)
Version:      1.0
Release:      9
Source0:      lcgi-1.0.tar.bz2
#Patch:        

%description
Port of cgi graphical library from Borland(TM).
In your startup file (e.g. ~/.bashrc) you should
insert the following lines:
export QTDIR=/usr/lib/qt2 
function lcc() \
{  g++ -pipe -Wall -W -O2 -DNO_DEBUG -I/usr/include/lcgi \                           
   -I$QTDIR/include \$* -L$QTDIR/lib -L/usr/X11R6/lib \                              
   -lXext -lm -llcgi -lqt -lXext -lX11; }                                            

Authors:
--------
    Helmut Herold 
    

SuSE series: d

%prep
%setup
#%patch

%build
#./configure --enable-vtysh --enable-broken-aliases --with-libpam --prefix=/usr --sysconfdir=/etc/ --mandir=/usr/share/man --infodir=/usr/share/info --enable-snmp
make

%install
#make install
install -g root -m 644 -o root liblcgi.a /usr/lib/
mkdir -p /usr/include/lcgi/
install -g root -m 644 -o root graphics.h /usr/include/lcgi/
#%post
#%postun

%files
/usr/lib/liblcgi.a
/usr/include/lcgi/
#%dir /etc/zulp
#%config /etc/rc.config.d/zulp.conf
#%doc %{_mandir}/man1/tree.1.gz

%changelog -n lcgi
* Wed Nov 21 2001 - jj@suse.de
- fixed compile problems with new g++
- improved description
* Thu Nov 08 2001 - jj@suse.de
- initial version
